import * as $dara from '@darabonba/typescript';
import { UpdateVpcGatewayEndpointAttributeResponseBody } from "./UpdateVpcGatewayEndpointAttributeResponseBody";
export declare class UpdateVpcGatewayEndpointAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateVpcGatewayEndpointAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
